### Method

# Ide EditorPage get_language

#### Declaration

    GtkSourceLanguage*
    ide_editor_page_get_language (
      IdeEditorPage* self
    )

#### Description

Gets the `GtkSourceLanguage` that is used by the underlying buffer.

Available since: | 3.32

#### Return value

Returns: | `GtkSourceLanguage`
| A `GtkSourceLanguage` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.